%global momorel 16

%global gecko_ver 1.9.0.14
#%%global with_xine 1
%define gstreamer_version 0.10.19
%define gstreamer_plugins_base_version 0.10.17.2
%define gstreamer_plugins_good_version 0.10.0
%define xine_version 1.1.12

Name:		totem
Summary:	A sound and video player.

### include local configuration
%{?include_specopt}

### default configurations
# If you'd like to change these configurations, please copy them to
# ${HOME}/rpm/specopt/totem.specopt and edit it.

%{?!with_xine: %global with_xine 1}

Version: 2.23.2
Release: %{momorel}m%{?dist}
License: "GPLv2 with exception"
URL: 		http://hadess.net/totem.php3
# URL: http://www.gnome.org/projects/totem/
Group:		User Interface/Desktops
Source0: ftp://ftp.gnome.org/pub/GNOME/sources/%{name}/2.23/%{name}-%{version}.tar.bz2
NoSource: 0
Source1: totem-bin-backend-ondemand.sh
Patch10: totem-xine_version.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires: gtk-doc
BuildRequires: pkgconfig
BuildRequires: GConf2-devel >= 2.22.0
BuildRequires: gnome-control-center-devel >= 2.22.1
BuildRequires: dbus-devel >= 1.2.1
BuildRequires: dbus-glib-devel >= 0.74
BuildRequires: glib2-devel >= 2.16.3
BuildRequires: gnome-desktop-devel >= 2.22.1
BuildRequires: gnome-icon-theme >= 2.22.0
BuildRequires: gnome-vfs2-devel >= 2.22.0
BuildRequires: gstreamer-plugins-base-devel >= 0.10.19
BuildRequires: gstreamer-devel >= %{gstreamer_version}
BuildRequires: gtk2-devel >= 2.12.9
BuildRequires: hal-devel >= 0.5.10
BuildRequires: iso-codes >= 1.9
BuildRequires: libXrandr-devel
BuildRequires: libXxf86vm-devel
BuildRequires: libglade2-devel >= 2.6.2
BuildRequires: libgnome-devel >= 2.22.0
BuildRequires: libgnomeui-devel >= 2.22.1
BuildRequires: libxml2-devel >= 2.6.31
BuildRequires: nautilus-devel >= 2.22.2
BuildRequires: shared-mime-info >= 0.23
BuildRequires: xine-lib >= 1.1.12
BuildRequires: nautilus-cd-burner-devel >= 2.22.1
BuildRequires: libmusicbrainz-devel >= 2.1.5
BuildRequires: gstreamer-plugins-good >= 0.10.7
BuildRequires: gecko-devel >= %{gecko_ver}
BuildRequires: libgalago-devel >= 0.5.2
BuildRequires: pygtk2-devel >= 2.12.1
BuildRequires: pygobject-devel >= 2.14.1
BuildRequires: totem-pl-parser-devel >= 2.22.2
BuildRequires: bluez-libs-devel
BuildRequires: lirc-devel
BuildRequires: cheese >= 2.22.1
BuildRequires: gecko-devel-unstable = %{gecko_ver}

# For the xulrunner patch
BuildRequires: intltool autoconf automake libtool gettext check-devel

Requires: gstreamer-plugins-good
Requires: gnome-screensaver
Prereq: GConf2
Obsoletes: nautilus-media
Obsoletes: totem-devel

# http://bugzilla.gnome.org/show_bug.cgi?id=458324
Patch0: totem-xul-4.patch

%description
Totem is simple movie player for the Gnome desktop. It features a
simple playlist, a full-screen mode, seek and volume controls, as well as
a pretty complete keyboard navigation.

%package gstreamer
Summary: Gstreamer backend for Totem
Group: Applications/Multimedia
Provides: %{name}-backend = %{version}-%{release}
Obsoletes: totem-gstreamer < 2.23.0
Requires: %{name} = %{version}
Requires: gstreamer >= %{gstreamer_version}
Requires: gstreamer-plugins-base >= %{gstreamer_plugins_base_version}
Requires: gstreamer-plugins-good >= %{gstreamer_plugins_good_version}
BuildRequires: gstreamer-devel >= %{gstreamer_version}
BuildRequires: gstreamer-plugins-base-devel >= %{gstreamer_plugins_base_version}
BuildRequires: gstreamer-plugins-good >= %{gstreamer_plugins_good_version}
BuildRequires: liboil >= 0.3.13-5
BuildRequires: tracker-devel

%description gstreamer
This package provides the gstreamer backend for the Totem media player.

%if %{with_xine}
%package xine
Summary: Xine backend for Totem
Group: Applications/Multimedia
Provides: %{name}-backend = %{version}-%{release}
Requires: %{name} = %{version}
Requires: xine-lib >= %{xine_version}
#BuildRequires: xine-lib-devel >= %{xine_version}
BuildRequires: xine-lib >= %{xine_version}

%description xine
This package provides the xine backend for the Totem media player.
%endif

%package mozplugin
Summary: Mozilla plugin for Totem
Group: Applications/Internet
Requires: gecko-libs = %{gecko_ver}
Obsoletes: totem-mozilla-plugin

%description mozplugin
Totem is simple movie player for the Gnome desktop. The mozilla plugin
for totem allows totem to be embeded into a web browser. 

%package lirc
Summary: LIRC (Infrared remote) plugin for Totem
Group: Applications/Multimedia
Requires: %{name} = %{version}-%{release}

%description lirc
A plugin to add LIRC (Infrared remote) support to Totem.

%package galago
Summary: Galago (Instant Messenger status) plugin for Totem
Group: Applications/Multimedia
Requires: %{name} = %{version}-%{release}

%description galago
A plugin to allow Totem to set Instant Messenger statuses when
playing a movie in fullscreen.

Your Instant Messenging program might require a plugin to take
advantage of this feature.

%package mythtv
Summary: MythTV plugin for Totem
Group: Applications/Multimedia
Requires: %{name} = %{version}-%{release}

%description mythtv
A plugin to allow access to recordings on a remote MythTV server.

%package youtube
Summary: YouTube plugin for Totem
Group: Applications/Multimedia
Requires: python-gdata
Requires: %{name} = %{version}-%{release}

%description youtube
A plugin to allow browsing YouTube videos, and watching them.

To play back the videos however, you will need codecs that are not
available in the Fedora repositories.

%package tracker
Summary: Tracker-based video search plugin for Totem
Group: Applications/Multimedia
Requires: %{name} = %{version}-%{release}

%description tracker
A plugin to allow searching local videos, based on their tags, metadata,
or filenames, as indexing by the Tracker indexer.

%package publish
Summary: Share your playlist with other Totems on the local network
Group: Applications/Multimedia
Requires: %{name} = %{version}-%{release}

%description publish
A plugin to allow you to share your current playlist (and the files included
in that playlist) with other Totems on the same local network.

%package nautilus
Summary: Video and Audio Properties tab for Nautilus
Group: Applications/Multimedia
Requires: %{name} = %{version}-%{release}
Provides: totem-nautilus-xine = %{version}-%{release}
Provides: totem-nautilus-gstreamer = %{version}-%{release}
Obsoletes: totem-nautilus-xine < 2.23.0
Obsoletes: totem-nautilus-gstreamer < 2.23.0

%description nautilus
A Nautilus extension that shows the properties of audio and video files in
the properties dialogue.

%prep
%setup -q -c
# Whatever needs to be changed in both copies do here
## remember to update me when changing %doc
for i in AUTHORS COPYING NEWS README TODO;do
  cp totem-%{version}/$i .
done

pushd totem-%{version}
%patch0 -p0 -b .xulrunner

# regen
automake
autoconf
popd

# duplicate sources
cp -a totem-%{version} xine
mv totem-%{version} gstreamer
%patch10 -p0

%build

pushd gstreamer
# try to work around a problem where gst-inspect does 
# not find playbin the first time around
DBUS_FATAL_WARNINGS=0 /usr/bin/gst-inspect-0.10 --print-all > /dev/null
export MOZILLA_PLUGINDIR=%{_libdir}/mozilla/plugins
%configure \
  --enable-gstreamer \
  --enable-mozilla \
  --enable-nautilus \
  --disable-scrollkeeper \
  --disable-nvtv

%make
popd

%if %{with_xine}
# Build the xine-lib backend with minimum dependencies
pushd xine
export MOZILLA_PLUGINDIR=%{_libdir}/mozilla/plugins
%configure \
  --enable-xine \
  --disable-gstreamer \
  --disable-mozilla   \
  --disable-nautilus  \
  --disable-scrollkeeper  \
  --disable-nvtv

cd src/backend/
make %{?_smp_mflags}
popd
%endif

%install
rm -rf --preserve-root %{buildroot}
export GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1

# GSTREAMER INSTALL
pushd gstreamer/
make install DESTDIR=$RPM_BUILD_ROOT
# move the backend library away
mv $RPM_BUILD_ROOT/%{_libdir}/libbaconvideowidget.so.0.0.0 $RPM_BUILD_ROOT/%{_libdir}/libbaconvideowidget-gstreamer.so.0.0.0
# language hack
%find_lang %{name} --with-gnome
mv %{name}.lang ../
popd

%if %{with_xine}
# XINE INSTALL
pushd xine/src/backend
make install DESTDIR=$RPM_BUILD_ROOT
mv $RPM_BUILD_ROOT/%{_libdir}/libbaconvideowidget.so.0.0.0 $RPM_BUILD_ROOT/%{_libdir}/libbaconvideowidget-xine.so.0.0.0
popd
%endif

rm -rf $RPM_BUILD_ROOT%{_libdir}/totem/plugins/*/*.{a,la} \
 $RPM_BUILD_ROOT%{_libdir}/mozilla/plugins/*.{a,la} \
 $RPM_BUILD_ROOT%{_libdir}/nautilus/extensions-2.0/*.{a,la} \
 $RPM_BUILD_ROOT%{_libdir}/libbaconvideowidget*.{a,la} \
 $RPM_BUILD_ROOT%{_libdir}/libbaconvideowidget.so \
 $RPM_BUILD_ROOT%{_libdir}/totem/plugins/bemused/
 
%find_lang %{name} --with-gnome

install -m755 %{SOURCE1} $RPM_BUILD_ROOT%{_bindir}/%{name}-backend
#rm -f %{buildroot}/%{_datadir}/icons/hicolor/icon-theme.cache

%clean
rm -rf --preserve-root %{buildroot}

%post
scrollkeeper-update -q
update-desktop-database -q
export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
gconftool-2 --makefile-install-rule \
        %{_sysconfdir}/gconf/schemas/totem.schemas \
        %{_sysconfdir}/gconf/schemas/totem-handlers.schemas \
        %{_sysconfdir}/gconf/schemas/totem-video-thumbnail.schemas \
 >& /dev/null || :
touch %{_datadir}/icons/hicolor
if [ -x /usr/bin/gtk-update-icon-cache ]; then
  /usr/bin/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor
fi

%post gstreamer
/usr/sbin/alternatives --install %{_libdir}/libbaconvideowidget.so.0.0.0 totem-backend %{_libdir}/libbaconvideowidget-gstreamer.so.0.0.0 2
/sbin/ldconfig

%post xine
/usr/sbin/alternatives --install %{_libdir}/libbaconvideowidget.so.0.0.0 totem-backend %{_libdir}/libbaconvideowidget-xine.so.0.0.0 1
/sbin/ldconfig

%pre
if [ "$1" -gt 1 ]; then
    export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
    gconftool-2 --makefile-uninstall-rule \
        %{_sysconfdir}/gconf/schemas/totem.schemas \
        %{_sysconfdir}/gconf/schemas/totem-handlers.schemas \
        %{_sysconfdir}/gconf/schemas/totem-video-thumbnail.schemas \
 >& /dev/null || :
fi

%preun
if [ "$1" -eq 0 ]; then
    export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
    gconftool-2 --makefile-uninstall-rule \
        %{_sysconfdir}/gconf/schemas/totem.schemas \
        %{_sysconfdir}/gconf/schemas/totem-handlers.schemas \
        %{_sysconfdir}/gconf/schemas/totem-video-thumbnail.schemas \
 >& /dev/null || :
fi

%postun
scrollkeeper-update -q
update-desktop-database -q
touch %{_datadir}/icons/hicolor
if [ -x /usr/bin/gtk-update-icon-cache ]; then
  /usr/bin/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor
fi

%postun gstreamer
if [ "$1" -eq 0 ]; then
  /usr/sbin/alternatives --remove totem-backend %{_libdir}/libbaconvideowidget-gstreamer.so.0.0.0
fi
/sbin/ldconfig

%postun xine
if [ "$1" -eq 0 ]; then
  /usr/sbin/alternatives --remove totem-backend %{_libdir}/libbaconvideowidget-xine.so.0.0.0
fi
/sbin/ldconfig
 
%post mythtv
export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
gconftool-2 --makefile-install-rule \
        %{_sysconfdir}/gconf/schemas/totem-mythtv.schemas \
 >& /dev/null || :

%pre mythtv
if [ "$1" -gt 1 ]; then
    export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
    if [ -f %{_sysconfdir}/gconf/schemas/totem-mythtv.schemas ] ; then
        gconftool-2 --makefile-uninstall-rule \
            %{_sysconfdir}/gconf/schemas/totem-mythtv.schemas \
            >& /dev/null || :
    fi
fi

%preun mythtv
if [ "$1" -eq 0 ]; then
    export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
    if [ -f %{_sysconfdir}/gconf/schemas/totem-mythtv.schemas ] ; then
        gconftool-2 --makefile-uninstall-rule \
            %{_sysconfdir}/gconf/schemas/totem-mythtv.schemas \
            >& /dev/null || :
    fi
fi


%files -f %{name}.lang
%defattr(-,root,root,-)
%doc AUTHORS COPYING NEWS README TODO
%config %{_sysconfdir}/gconf/schemas/totem.schemas
%config %{_sysconfdir}/gconf/schemas/totem-handlers.schemas
%config %{_sysconfdir}/gconf/schemas/totem-video-thumbnail.schemas
%{_bindir}/%{name}
%{_bindir}/%{name}-backend
%{_bindir}/%{name}-video-thumbnailer
%{_bindir}/%{name}-video-indexer
%{_bindir}/%{name}-audio-preview
%{_datadir}/applications/%{name}.desktop
%{_datadir}/%{name}/
%dir %{_libexecdir}/totem
%{_libexecdir}/totem/totem-bugreport.py*
%{_libdir}/libbaconvideowidget.so*

%dir %{_libdir}/totem
%dir %{_libdir}/totem/plugins
%{_libdir}/totem/plugins/gromit
%{_libdir}/totem/plugins/ontop
%{_libdir}/totem/plugins/screensaver
%{_libdir}/totem/plugins/skipto
%{_libdir}/totem/plugins/properties
%{_libdir}/totem/plugins/media-player-keys
%{_libdir}/totem/plugins/totem
%{_libdir}/totem/plugins/thumbnail
#%%{_libdir}/totem/plugins/bemused
%{_datadir}/icons/hicolor/*/apps/totem.png
%{_datadir}/icons/hicolor/scalable/apps/totem.svg
%{_mandir}/man1/%{name}.1*
%{_mandir}/man1/totem-video-thumbnailer.1.*

%files nautilus
%defattr(-, root, root)
%{_libdir}/nautilus/extensions-2.0/*.so*

%files galago
%defattr(-, root, root)
%{_libdir}/totem/plugins/galago

%files lirc
%defattr(-, root, root)
%{_libdir}/totem/plugins/lirc

%files mythtv
%defattr(-, root, root)
#tmp
#%%config %{_sysconfdir}/gconf/schemas/totem-mythtv.schemas
#%%{_libdir}/totem/plugins/mythtv

%files youtube
%defattr(-, root, root)
%{_libdir}/totem/plugins/youtube

%files tracker
%defattr(-, root, root)
%{_libdir}/totem/plugins/tracker

%files mozplugin
%defattr(-, root, root)
%{_libdir}/mozilla/plugins/*
%{_libexecdir}/totem-plugin-viewer

%files publish
%defattr(-, root, root)
#tmp
#%%{_libdir}/totem/plugins/publish

%files gstreamer
%{_libdir}/libbaconvideowidget-gstreamer.so.0.0.0

%if %{with_xine}
%files xine
%{_libdir}/libbaconvideowidget-xine.so.0.0.0
%endif

%changelog
* Thu Sep 10 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (2.23.2-16m)
- rebuild against xulrunner-1.9.0.14

* Thu Aug  6 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (2.23.2-15m)
- rebuild against xulrunner-1.9.0.13

* Thu Jul 30 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (2.23.2-14m)
- rebuild against xulrunner-1.9.0.12-1m

* Tue Apr 28 2009 TABUCHI Takaaki <tab@momonga-linux.org>
- (2.23.2-13m)
- rebuild against xulrunner-1.9.0.10-1m

* Fri Apr 24 2009 TABUCHI Takaaki <tab@momonga-linux.org>
- (2.23.2-12m)
- rebuild against xulrunner-1.9.0.9-1m

* Mon Mar 30 2009 Mitsuru Shimamura <smbd@momonga-linux.org>
- (2.23.2-11m)
- rebuild against xulrunner-1.9.0.8-1m

* Sat Mar 14 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (2.23.2-10m)
- rebuild against xulrunner-1.9.0.7-1m

* Mon Feb 16 2009 TABUCHI Takaaki <tab@momonga-linux.org>
- (2.23.2-9m)
- rebuild against xulrunner-1.9.0.6-1m

* Thu Jan  8 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (2.23.2-8m)
- rebuild against xulrunner-1.9.0.5-1m

* Sat Nov 15 2008 Ichiro Nakai <ichiro@n.email.ne.jp>
- (2.23.2-7m)
- rebuild against xulrunner-1.9.0.4-1m

* Wed Sep 24 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (2.23.2-6m)
- rebuild against xulrunner-1.9.0.2-1m

* Sun Jul 27 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (2.23.2-5m)
- change Requires: gst-plugins-base to gstreamer-plugins-base
- change Requires: gst-plugins-good to gstreamer-plugins-good 
- change BuildRequires: gst-plugins-base to gstreamer-plugins-base
- change BuildRequires: gst-plugins-base-devel to gstreamer-plugins-base-devel
- change BuildRequires: gst-plugins-good to gstreamer-plugins-good 
- change Requires: gst-plugins-good to gstreamer-plugins-good

* Sun Jul 20 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (2.23.2-4m)
- rebuild against xulrunner-1.9.0.1-1m

* Wed Jun  4 2008 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.23.2-3m)
- add BuildRequires: tracker-devel

* Thu May  1 2008 Ichiro Nakai <ichiro@n.email.ne.jp>
- (2.23.2-2m)
- move Obsoletes: totem-mozilla-plugin to %%package mozplugin

* Mon Apr 28 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (2.23.2-1m)
- update to 2.23.2
- rebuild against firefox-3

* Fri Apr 25 2008 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.22.2-1m)
- update to 2.22.2
- use xine again

* Sat Apr 19 2008 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.22.1-1m)
- update to 2.22.1

* Thu Apr 03 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (2.22.0-2m)
- rebuild against gcc43

* Fri Mar 14 2008 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.22.0-1m)
- update to 2.22.0

* Sat Mar  8 2008 Masanobu Sato <satoshiga@momonga-linux.org>
- (2.20.3-2m)
- add BuildRequires: lirc-devel

* Tue Jan  8 2008 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.20.3-1m)
- update to 2.20.3

* Fri Oct 19 2007 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.20.1-1m)
- update to 2.20.1

* Mon Sep 17 2007 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.20.0-1m)
- update to 2.20.0

* Fri Aug 24 2007 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.18.3-1m)
- update to 2.18.3

* Sun Jun  3 2007 Mitsuru Shimamura <smbd@momonga-linux.org>
- (2.18.2-2m)
- use specopt to choose backend engine, gstreamer or xine

* Mon May 28 2007 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.18.2-1m)
- update to 2.18.2

* Wed Apr 18 2007 Yohsuke Ooi <meke@momonga-linux.org>
- (2.18.1-1m)
- update to 2.18.1

* Thu Apr  5 2007 zunda <zunda at freeshell.org>
- (kossori)
- added BuildPrereq: gst-plugins-good

* Sat Mar 10 2007 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.18.0-1m)
- update to 2.18.0

* Thu Feb 22 2007 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.17.92-2m)
- rewind %%post script (gconftool-2)

* Wed Feb 21 2007 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.17.92-1m)
- update to 2.17.92
- delete patch0 (ja.po)

* Tue Feb 20 2007 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.17.91-3m)
- good-bye %%makeinstall

* Sun Feb 18 2007 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.17.91-2m)
- revice %%post script (gconftool-2)

* Sat Feb 17 2007 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.17.91-1m)
- update to 2.17.91 (unstable)

* Sat Feb  3 2007 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.16.5-1m)
- update to 2.16.5

* Sun Jan 21 2007 Ryu SASAOKA <ryu@momonga-linux.org>
- (2.16.4-2m)
- add ja.po patch

* Thu Nov 30 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.16.4-1m)
- update to 2.16.4

* Wed Nov 15 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.16.3-1m)
- update to 2.16.3

* Tue Nov 14 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.16.2-2m)
- good-bye mozilla

* Fri Oct  6 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.16.2-1m)
- update 2.16.2

* Sat Sep 16 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.16.1-2m)
- remove category X-Red-Hat-Base X-Ximian-Main Application

* Mon Sep 11 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.16.1-1m)
- update to 2.16.1

* Mon Sep 11 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.16.0-2m)
- use xine-libs

* Thu Sep  7 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.16.0-1m)
- update to 2.16.0

* Fri Sep  1 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (1.4.3-3m)
- rebuild against dbus 0.92

* Sun Aug 27 2006 NARITA Koichi <pulsar@sea.plala.or.jp>
- (1.4.3-2m)
- rebuild against expat-2.0.0-1m

* Wed Aug 16 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (1.4.3-1m)
- update 1.4.3

* Sun Jul  2 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (1.4.2-2m)
- change directory for mozilla plugin
-- separated package plugin

* Thu Jun 29 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (1.4.2-1m)
- update to 1.4.2
-- delete libtool library

* Sun May 21 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (1.4.1-2m)
- delete patch4: now vfx works with dbus.

* Mon May 15 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (1.4.1-1m)
- update to 1.4.1

* Wed May 10 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (1.4.0-4m)
- fix mozilla version
- add patch1, vfx does not work :-(

* Wed May 10 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (1.4.0-3m)
- add requires gnome-screensaver
- add schemas install totem-handlers.schemas

* Thu Apr 20 2006 Masaru SANUKI <sanuki@momonga-linux.org>
- (1.4.0-2m)
- rebuild against libmusicbrainz

* Sat Apr  8 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (1.4.0-1m)
- update to 1.4.0

* Sat Feb 11 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (1.2.1-1m)
- update to 1.2.1

* Sat Dec 31 2005 Ryu SASAOKA <ryu@momonga-linux.org>
- (1.2.0-2m)
- add Patch0 totem-1.2.0-dbus060.patch
- add BuildPrereq: dbus-devel >= 0.60

* Tue Nov 22 2005 Koichi NARITA <pulsar@sea.plala.or.jp>
- (1.2.0-1m)
- version up
- GNOME 2.12.1 Desktop

* Fri Nov  4 2005 Dai OKUYAMA <dai@ouchi.nahi.to>
- (0.99.16-3m)
- rebuild against with nautilus-cd-burner-2.8.6-4m (hal-0.5.4)

* Sun Jul 02 2005 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.99.16-2m)
- add BuildPrereq: nautilus-cd-burner-devel

* Thu Mar 10 2005 Yasuo Ohgaki <yohgaki@momonga-linux.org>
- (0.99.16-1m)
- version up

* Sun Aug 15 2004 Hiroyuki Koga <kuma@momonga-linux.org>
- (0.99.11-2m)
- rebuild against gcc-c++-3.4.1
- add BuildPrereq: gcc-c++

* Sat Apr 24 2004 Kazuhiko <kazuhiko@fdiary.net>
- (0.99.11-1m)
- for gnome-2.6

* Sat Mar 27 2004 Toru Hoshina <t@momonga-linux.org>
- (0.99.8-2m)
- revised spec for rpm 4.2.

* Mon Dec 15 2003 Masayuki SANO <sano@acs.i.kyoto-u.ac.jp>
- (0.99.8-1m)
- version 0.99.8

* Thu Oct 16 2003 Shingo Akagaki <dora@kitty.dnsalias.org>
- (0.99.7-1m)
- version 0.99.7

* Tue Oct 14 2003 Shingo Akagaki <dora@kitty.dnsalias.org>
- (0.99.6-1m)
- version 0.99.6

* Tue Sep 16 2003 Motonobu Ichimura <famao@momonga-linux.org>
- (0.99.5-1m)
- version 0.99.5

* Tue Jul 08 2003 Shingo Akagaki <dora@kitty.dnsalias.org>
- (0.99.2-1m)
- version 0.99.2

* Mon Jun 23 2003 Shingo Akagaki <dora@kitty.dnsalias.org>
- (0.99.1-1m)
- version 0.99.1

* Mon Jun 02 2003 Shingo Akagaki <dora@kitty.dnsalias.org>
- (0.99.0-1m)
- version 0.99.0

* Mon May 12 2003 Shingo Akagaki <dora@kitty.dnsalias.org>
- (0.98.0-1m)
- version 0.98.0


